
package de.ivu.elect.presentation.exchange;

import de.ivu.elect.business.exchange.entity.DateiExportArt;

public interface ExportDescription extends ExchangeDescription {

  @Override
  default boolean isSpecificPerWahlOrWahltermin() {
    return isSpecificPerWahl() || isSpecificPerWahltermin();
  }

  /**
   * @return <code>true</code>, falls der Im-/Export spezifisch per Wahl ist und eine aktuell ausgewählte Wahl vorraussetzt.
   */
  boolean isSpecificPerWahl();

  /**
   * @return <code>true</code>, falls der Im-/Export spezifisch per Wahltermin ist und einen aktuell ausgewählten Wahltermin vorraussetzt.
   */
  boolean isSpecificPerWahltermin();

  DateiExportArt getDateiExportArt();

  String getExportSearchViewId();
}
